Package: groovy.transform

## [Java] Interface CompilationUnitAware

- This interface is for AST transformations which must be aware of the compilation unit where they are applied.

  Authors:
    Cedric Champeau

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setCompilationUnit(CompilationUnit unit)`

- - ### Method Detail

    - #### public void setCompilationUnit(CompilationUnit unit)